#
# spec file for package smartpqi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define sle_maj %(sed -n '/VERSION = /{s///p;q;}' /etc/SuSE-release)
%define sle_min %(sed -n '/PATCHLEVEL = /{s///p;q;}' /etc/SuSE-release)
%define sle_version SLES%{sle_maj}SP%{sle_min}

Name:           smartpqi
Summary:        Driver for Microsemi PQI-based storage controllers
Version:        1.0.4_100
Release:        1.1
License  :      GPL-2.0
Group:          System/Kernel
BuildRequires:  %kernel_module_package_buildreqs
Source0:        smartpqi-1.0.4-100.tar.bz2
Source2:        subpackage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.microsemi.com/

# Add to KMP template postinstall template
%(cat /usr/lib/rpm/kernel-module-subpackage | sed -e '/^%post / a # HP - We want our driver included in the kdump initrd. GMM\
if [ -f /etc/sysconfig/kdump ]\
then\
   touch /etc/sysconfig/kdump\
fi' > %{SOURCE2})

# -b option to add module to initrd
%kernel_module_package -p preamble -b -t %{SOURCE2}

%description
This package provides the driver for the Microsemi PQI-based storage controllers


%package KMP
Summary:        Driver for Microsemi PQI-based storage controllers
Group:          System/Kernel

%description KMP
This package provides the driver for the Microsemi PQI-based storage controllers


%prep
%setup -n smartpqi-1.0.4
set -- *
mkdir source
mv "$@" source/


mkdir obj

%build

for flavor in %flavors_to_build; do 
    rm -rf obj/$flavor ; 
    cp -r source obj/$flavor ;
    make -C %{kernel_source $flavor} modules FLAVOR=$flavor EXTRA_CFLAGS+=-D%{sle_version} M=$PWD/obj/$flavor
    # Strip binary file to fit on floppy.
    strip -g $PWD/obj/$flavor/*.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%kernel_module_package_moddir
for flavor in %flavors_to_build; do 
    make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor
done


%clean
rm -rf %{buildroot}

%changelog
* Tue May  2 2017 sbahling@suse.com
- Correct the package version. The -100 is part of the source version
  and added to the package version as _100 ('-' not allowed in the
  version string).
* Thu Mar 16 2017 sbahling@suse.com
- Update to version 1.0.4-100
- Rename package to smartpqi (remove hpe- prefix)
* Fri Feb 24 2017 sbahling@suse.com
- Update to version 1.0.2-100 (bsc#993149)
- Use -b option %%kernel_module_package to install driver into initrd
* Thu Dec 15 2016 sbahling@suse.com
- Update to version 0.9.18-100
- Add %%post scriptlet for KMP package to include driver in kdump
  initrd
* Thu Sep 15 2016 sbahling@suse.com
- Update source with archive containing COPYING file
- Add preamble
- add 100 prefix to package release
* Wed Aug 24 2016 sbahling@suse.com
- Create SUSE standard spec file
- Use macros for single source multi distro builds
* Wed Aug 17 2016 Linux Storage Driver Team <esc.storagedev@microsemi.com> 0.9.12-100
- Preview release of the PQI driver smartqpi.
